CVE-2015-8946

NameCVE-2015-8946
Descriptionecryptfs-setup-swap in eCryptfs before 111 does not prevent the unencrypted swap partition from activating during boot when using GPT partitioning and certain versions of systemd, which allows local users to obtain sensitive information via unspecified vectors.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ecryptfs-utils (PTS)jessie (security), jessie103-5+deb8u1vulnerable
stretch, sid111-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ecryptfs-utilssource(unstable)111-1

Notes

[jessie] - ecryptfs-utils <no-dsa> (Minor issue)
[wheezy] - ecryptfs-utils <no-dsa> (Only happens if using systemd v207 onward)
https://launchpad.net/bugs/1447282
Fixed by: https://bazaar.launchpad.net/~ecryptfs/ecryptfs/trunk/revision/857
http://www.openwall.com/lists/oss-security/2016/07/13/2

Search for package or bug name: Reporting problems